/*
 * trajet.h --- verify trajectories.
 *
 * Copyright (c) 2000, 2001, 2015 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of Natch.
 *
 * Natch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Natch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef	TRAJET_H
#define	TRAJET_H

#include	"types.h"
#include	"expltype.h"
#include        "twin_squares.h"

void		trajet(const twin_squares_t* twin_squares);
bool_t		trajet_traite_nouvelle_case_interdite(
    const exploration_t*	datas ,
    square_t			nouvelle_case_interdite );

#endif /* TRAJET_H */
